GET /apipath/{uuid}

GET /apipath/{uuid}

/apipath/{uuid}/{uuid}

Request
URI
GET
https://{api_host}/api/apipath/{uuid}
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Query Parameters
string
name
Optional

object name

string
fields
Optional

List of fields to be returned for the resource. Some fields like name, URL, uuid etc. are always returned.

boolean
include_name
Optional

All the Avi REST reference URIs have a name suffix as URI#name. It is useful to get the referenced resource name without performing get on that object.

boolean
skip_default
Optional

Default values are not set.

string
join_subresources
Optional

It automatically returns additional dependent resources like runtime. Eg. join_subresources=runtime.

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ApiPath of type(s) application/json
{
    "_last_modified": "string",
    "description": "string",
    "endpoints": [
        {
            "active_api_labels": {
                "enabled": false,
                "labels": [
                    "string"
                ]
            },
            "deactivated": false,
            "description": "string",
            "failed_validation_header_parameter_action": "string",
            "failed_validation_path_parameter_action": "string",
            "failed_validation_query_parameter_action": "string",
            "header_parameters": [
                {
                    "allow_empty_value": false,
                    "deprecated": false,
                    "name": "string",
                    "required": false,
                    "schema": {
                        "max_value": "number",
                        "min_value": "number",
                        "schema_ref": "string",
                        "string_enum_values": [
                            "string"
                        ],
                        "string_format": "string",
                        "string_max_length": 0,
                        "string_min_length": 0,
                        "string_pattern": "string",
                        "type": "string"
                    }
                }
            ],
            "http_method": "string",
            "override_global_active_api_labels": false,
            "path_parameters": [
                {
                    "allow_empty_value": false,
                    "deprecated": false,
                    "name": "string",
                    "required": false,
                    "schema": {
                        "max_value": "number",
                        "min_value": "number",
                        "schema_ref": "string",
                        "string_enum_values": [
                            "string"
                        ],
                        "string_format": "string",
                        "string_max_length": 0,
                        "string_min_length": 0,
                        "string_pattern": "string",
                        "type": "string"
                    }
                }
            ],
            "query_parameters": [
                {
                    "allow_empty_value": false,
                    "deprecated": false,
                    "name": "string",
                    "required": false,
                    "schema": {
                        "max_value": "number",
                        "min_value": "number",
                        "schema_ref": "string",
                        "string_enum_values": [
                            "string"
                        ],
                        "string_format": "string",
                        "string_max_length": 0,
                        "string_min_length": 0,
                        "string_pattern": "string",
                        "type": "string"
                    }
                }
            ],
            "request_body": {
                "description": "string",
                "failed_validation_request_body_action": "string",
                "mappings": [
                    {
                        "content_type": "string",
                        "schema": {
                            "max_value": "number",
                            "min_value": "number",
                            "schema_ref": "string",
                            "string_enum_values": [
                                "string"
                            ],
                            "string_format": "string",
                            "string_max_length": 0,
                            "string_min_length": 0,
                            "string_pattern": "string",
                            "type": "string"
                        }
                    }
                ],
                "required": false,
                "unknown_content_type_action": "string"
            },
            "responses": [
                {
                    "content_type_mappings": [
                        {
                            "content_type": "string",
                            "schema": {
                                "max_value": "number",
                                "min_value": "number",
                                "schema_ref": "string",
                                "string_enum_values": [
                                    "string"
                                ],
                                "string_format": "string",
                                "string_max_length": 0,
                                "string_min_length": 0,
                                "string_pattern": "string",
                                "type": "string"
                            }
                        }
                    ],
                    "description": "string",
                    "response_header_parameters": [
                        {
                            "allow_empty_value": false,
                            "deprecated": false,
                            "name": "string",
                            "required": false,
                            "schema": {
                                "max_value": "number",
                                "min_value": "number",
                                "schema_ref": "string",
                                "string_enum_values": [
                                    "string"
                                ],
                                "string_format": "string",
                                "string_max_length": 0,
                                "string_min_length": 0,
                                "string_pattern": "string",
                                "type": "string"
                            }
                        }
                    ],
                    "status_code": {
                        "match_criteria": "string",
                        "ranges": [
                            {
                                "begin": 0,
                                "end": 0
                            }
                        ],
                        "status_codes": [
                            0
                        ]
                    },
                    "unknown_content_type_action": "string"
                }
            ],
            "type": "string",
            "unknown_status_code_action": "string"
        }
    ],
    "name": "string",
    "path_template": "string",
    "source": "string",
    "tenant_ref": "string",
    "unknown_http_method_action": "string",
    "url": "string",
    "uuid": "string"
}
string
_last_modified
Read-Only  

UNIX time since epoch in microseconds. Units(MICROSECONDS).

string
description
Optional

Description of this API path. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
endpoints
Optional

List of API endpoints for this path. Field introduced in 32.1.4. Maximum of 10 items allowed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
name
Required  

Name of this object, unique per Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
path_template
Required  

The URI path template for the object. Parameters can be defined in curly braces, for example /pet/{pet_id}. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
source
Read-Only  
Constraints: default: SOURCE_USER_DEFINED

Indicates whether this path was user-defined or imported from an OpenAPI specification file. Enum options - SOURCE_USER_DEFINED, SOURCE_API_SPEC, SOURCE_DISCOVERED. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
tenant_ref
Optional

It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
unknown_http_method_action
Optional
Constraints: default: API_ACTION_INHERIT_FROM_API_POLICY

Action to take when a request matches this path but uses an HTTP method not defined for this path. Overrides the policy-level unknown_http_method_action when not INHERIT. Enum options - API_ACTION_INHERIT_FROM_API_POLICY, API_ACTION_PASS, API_ACTION_FLAG, API_ACTION_REJECT. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
url
Read-Only  

url

string
uuid
Optional

The object UUID. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/apipath/{uuid}